#ifndef WSAInterface_Cpp
#define WSAInterface_Cpp
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define WIN32_LEAN_AND_MEAN
#define _WIN32_WINNT 0x0500

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <Windows.H>
#include <WinSock2.H>
#include <WinSock.H>
#include <Stdio.H>
#include <Stdlib.H>

#include "CSockSrvr.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

bool CSockSrvr::Start_WindowsSocket(void)
{
    #ifdef _DEBUG_SOCK_SERVER
    printf("DEBUG: [In Proc]> CSockSrvr::Start_WindowsSocket.\n");
    #endif

	WORD WSARequiredVersion; // Windows Socket Required Version
	WSADATA WSAData;		 // Windows Socket Required Version
	WSADATA *WSAPointerData; // Windows Socket Required Version

	// -------- WINSOCK STARTUP --------
	WSARequiredVersion = 0x0101; // Version 1.1
	WSAPointerData = &WSAData;
	if(WSAStartup(WSARequiredVersion, WSAPointerData)!= 0)
	{
		return false;
	}

    return true;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

bool CSockSrvr::Stop_WindowsSocket(void)
{
    #ifdef _DEBUG_SOCK_SERVER
    printf("DEBUG: [In Proc]> CSockSrvr::Stop_WindowsSocket.\n");
    #endif

	if(WSACleanup() == SOCKET_ERROR)
	{
		return false;
	}

    return true;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif

