#ifndef _Common_CPP
#define _Common_CPP
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <Windows.H>
#include <ShlObj.H>
#include <Stdio.H>
#include <ShlOBJ.H>
#include <Stdlib.H>

#include "Debug.H"
#include "NSWFL.H"
#include "Common.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

char *FormatiString(char *outStr, char *inStr)
{
    int RPos = strlen(inStr) - 1;
    int WPos = 0;
    int DPos = 0;

    if(RPos < 3)
    {
        strcpy(outStr, inStr);
        return outStr;
    }

    while(RPos != -1)
    {
        if(DPos == 3)
        {
            outStr[WPos] = ',';
            WPos++;
            DPos = 0;
        }

        outStr[WPos] = inStr[RPos];

        RPos--;
        WPos++;
        DPos++;
    }

    ReverseString(outStr, WPos);

    outStr[WPos] = '\0';

    return outStr;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

int GetListItemlParam(HWND hWnd, int iItem, int iSubItem)
{
	LV_ITEM MyLVItem;

	memset(&MyLVItem, 0, sizeof(MyLVItem));
	MyLVItem.mask       = LVIF_PARAM;
    MyLVItem.iSubItem   = iSubItem;
	MyLVItem.iItem      = iItem;

	if(ListView_GetItem(hWnd, &MyLVItem))
	{
		return MyLVItem.lParam;
	}

	return 0;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
